<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">

  <!-- set page title -->
  <xsl:template name="pageTitle">
    <a href="{$library_name}/collection/{$collName}/page/about">Digital Library Home</a>
    <gslib:rightArrow/>
    <xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/>
  </xsl:template>


  <!-- optional cgi-params for links to document pages -->
  <!-- needed here because collectionConfig.xml defined a template in
       its *global* section that uses gsf:link, which in turn then
       generates XSL tags that refer to opt-doc-link-arg -->

  <xsl:variable name="opt-doc-link-args"></xsl:variable>


  <xsl:template name="collectionHelp">
    <!-- **** --> 
    <h2>Using the Archaeological Reports Digital Library</h2>

    <!-- general intro text -->
    <xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.collection_general')"/><br/><br/>

    <xsl:call-template name="browsingHelp"/>
    <xsl:if test="/page/pageResponse/collection/serviceList/service[@type='query']">
      <xsl:call-template name="searchingHelp"/>
      <xsl:call-template name="searchParamsHelp"/>
      <xsl:call-template name="searchResultsHelp"/>
    </xsl:if>
<!-- ****
    <xsl:call-template name="documentHelp"/>
-->
    <xsl:if test="/page/pageResponse/interfaceOptions/option[@name='favouriteBasket']/@value='true'">
      <xsl:call-template name="favouriteBasketHelp"/>
    </xsl:if>
    <xsl:if test="/page/pageResponse/interfaceOptions/option[@name='berryBasket']/@value='true'">
      <xsl:call-template name="berryBasketHelp"/>
    </xsl:if>
    <xsl:if test="//format/gsf:option[@name='RSS']/@value= 'true'">
      <xsl:call-template name="rssHelp"/>
    </xsl:if>
  </xsl:template>

  
  <xsl:template name="browsingHelp">
    <h3><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_title')"/></h3><br/>
    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_general')"/></p>

    <p><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_extra')"/></p>

<!-- ***
    <dl>
      <dt><img src="interfaces/{$interface_name}/images/bshelf.gif"/></dt>
      <xsl:variable name="plus_icon"><img src="interfaces/{$interface_name}/images/expand.png"/></xsl:variable>
      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.browsing_bookshelf', $plus_icon)"/></dd>
      <xsl:variable name="book_icon"><img src="interfaces/{$interface_name}/images/book.png"/></xsl:variable>
      <xsl:variable name="page_icon"><img src="interfaces/{$interface_name}/images/itext.gif"/> </xsl:variable>

      <dt><xsl:copy-of select="$book_icon"/><gsf:space/> <xsl:copy-of select="$page_icon"/></dt>
      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceTextWithDOM($help_interface_name, /page/@lang, 'help.browsing_book', $book_icon, $page_icon)"/></dd>
       <dt><img src="interfaces/{$interface_name}/images/ipdf.gif"/><gsf:space/><img src="interfaces/{$interface_name}/images/imsword.gif"/><gsf:space/><img src="interfaces/{$interface_name}/images/imp3.gif"/> ...</dt>
      <dd><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_interface_name, /page/@lang, 'help.browsing_srcicon')"/></dd>

      </dl>
-->
  </xsl:template>

</xsl:stylesheet>
